/**
 * @copyright (c) Solution 360 GmbH
 * Handles scroll to top functionality.
 */
(function ($) {

    var cookieName = 'cookieHint';

    function initCookieHint() {
        var displayHint = true;

        // check cookie
        var cookieRegex = new RegExp("(?:(?:^|.*;\\s*)"+cookieName+"\\s*\\=\\s*([^;]*).*$)|^.*$");
        if(displayHint && document.cookie.replace(cookieRegex, "$1") === "true") {
            displayHint = false;
        }

        if(displayHint) {
            var $wrapper =  $('.s360-cookie-hint-wrapper');
            if(!$wrapper.data('confirm')) {
                // hint does not need to be confirmed, so we set it confirmed, without hiding it, so it is only displayed once.
                setCookieHintConfirmed();
            }

            // show wrapper
            $wrapper.removeClass('hidden');

            // register action on confirmation via the OK button
            $('.s360-cookie-ok button').on('click touchstart', function (e) {
                e.preventDefault();
                setCookieHintConfirmed();
                hideCookieHint();
            });
        }
    }

    function hideCookieHint() {
        $('.s360-cookie-hint-wrapper').addClass('hidden');
    }

    function setCookieHintConfirmed() {
        document.cookie = cookieName+"=true; path=/";
    }

    // CALLS
    // ===============
    $(document).ready(function () {
        if($('.s360-cookie-hint-wrapper').length) {
            initCookieHint();
        }
    });
})(jQuery);
